lib

# Class: MatchingRuleUse

Source Location: /lib/schema.inc

### Class Overview

    SchemaItem
       |
       --MatchingRuleUse

Represents an LDAP schema matchingRuleUse entry

### Variables

- $name
- $used_by_attrs

### Methods

- MatchingRuleUse
- getName
- getUsedByAttrs
- initVars

### Inherited Variables

#### Class: SchemaItem

SchemaItem::$description
SchemaItem::$oid

### Inherited Methods

#### Class: SchemaItem

SchemaItem::SchemaItem()
  Default constructor.
SchemaItem::getDescription()
SchemaItem::getOID()
SchemaItem::initVars()
  Initialize class members to default values.
SchemaItem::setDescription()
SchemaItem::setOID()

### Class Details

[line 1157]
Represents an LDAP schema matchingRuleUse entry
[ Top ]

### Class Variables

#### $name =

[line 1160]

The name of the MathingRule this applies to

Type: | mixed

[ Top ]

#### $used_by_attrs =

[line 1163]

An array of attributeType names who make use of the mathingRule

identified by $this->oid and $this->name

Type: | mixed

[ Top ]

### Class Methods

### constructor MatchingRuleUse [line 1174]

`MatchingRuleUse MatchingRuleUse( $raw_matching_rule_use_string)`

#### Parameters:

| $raw_matching_rule_use_string |

[ Top ]

### method getName [line 1239]

`string getName( )`

Gets this MatchingRuleUse's name

#### Tags:

return: | The name

[ Top ]

### method getUsedByAttrs [line 1248]

`array getUsedByAttrs( )`

Gets an array of attribute names (strings) which use this MatchingRuleUse object.

#### Tags:

return: | The array of attribute names (strings).

[ Top ]

### method initVars [line 1166]

`void initVars( )`

Initialize the class' member variables
Overrides SchemaItem::initVars() (Initialize class members to default values.)
[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:07 +0200 by phpDocumentor 1.4.1